Bug 733984 - Review Request: perl-Sub-Exporter-ForMethods - Helper routines for using Sub::Exporter to build methods
Summary: Review Request: perl-Sub-Exporter-ForMethods - Helper routines for using Sub:...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Sub-Expor...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 04:32 UTC by Iain Arnell
Modified: 2011-09-09 17:08 UTC (History)
3 users (show)

Fixed In Version: perl-Sub-Exporter-ForMethods-0.100050-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-08 07:02:31 UTC
emmanuel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2011-08-29 04:32:13 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Sub-Exporter-ForMethods.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Sub-Exporter-ForMethods-0.100050-1.fc17.src.rpm

Description:
This package provides helper routings for using Sub::Exporter to build methods
that won't be removed by namespace::autoclean.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3307976

*rt-0.10_01

Comment 1 Emmanuel Seyman 2011-08-29 15:54:45 UTC
Taking.

Comment 2 Emmanuel Seyman 2011-08-29 16:17:30 UTC
=== KEY ===

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===

 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3309452

 [x] Rpmlint output:
perl-Sub-Exporter-ForMethods.noarch: W: spelling-error %description -l en_US routings -> routing, outings, rousting
perl-Sub-Exporter-ForMethods.noarch: W: spelling-error %description -l en_US namespace -> name space, name-space, names pace
perl-Sub-Exporter-ForMethods.noarch: W: spelling-error %description -l en_US autoclean -> auto clean, auto-clean, autoclave
perl-Sub-Exporter-ForMethods.noarch: E: incorrect-fsf-address /usr/share/doc/perl-Sub-Exporter-ForMethods-0.100050/LICENSE
perl-Sub-Exporter-ForMethods.src: W: spelling-error %description -l en_US routings -> routing, outings, rousting
perl-Sub-Exporter-ForMethods.src: W: spelling-error %description -l en_US namespace -> name space, name-space, names pace
perl-Sub-Exporter-ForMethods.src: W: spelling-error %description -l en_US autoclean -> auto clean, auto-clean, autoclave
2 packages and 1 specfiles checked; 1 errors, 6 warnings.

I'm guessing 'routings' is supposed to read 'routines'. The two other spellings are false positives. Please file a bug upstream for the incorrect fsf address.

 [x] Package is not relocatable.
 [x] Buildroot is correct
None specified, default used.

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
3ae501e067f711f150f5562ac3fee029  Sub-Exporter-ForMethods-0.100050.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===

 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: fedora-rawhide-x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3309452
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=4, Tests=9,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.24 cusr  0.02 csys =  0.29 CPU)
Result: PASS

Looks good. Fix the rpmlint issues and you should be good to go.

Comment 3 Iain Arnell 2011-08-30 03:08:40 UTC
Yes, I am an idiot. Of course it should be "routines". Fixed.

Upstream uses Dist-Zilla (actually, upstream /is/ Dist-Zilla), so will automatically get the correct license file with the next release.


Spec URL: http://fedorapeople.org/~iarnell/review/perl-Sub-Exporter-ForMethods.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Sub-Exporter-ForMethods-0.100050-2.fc17.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3310259

Comment 4 Emmanuel Seyman 2011-08-30 07:42:30 UTC
(In reply to comment #3)
>
> Yes, I am an idiot. Of course it should be "routines". Fixed.

APPROVED.

Comment 5 Iain Arnell 2011-08-30 07:47:06 UTC
New Package SCM Request
=======================
Package Name: perl-Sub-Exporter-ForMethods
Short Description: Helper routines for using Sub::Exporter to build methods
Owners: iarnell
Branches: f14 f15 f16
InitialCC: perl-sig

Comment 6 Gwyn Ciesla 2011-08-30 11:53:32 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-08-30 15:58:41 UTC
perl-Sub-Exporter-ForMethods-0.100050-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Sub-Exporter-ForMethods-0.100050-2.fc15

Comment 8 Fedora Update System 2011-08-30 15:58:50 UTC
perl-Sub-Exporter-ForMethods-0.100050-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Sub-Exporter-ForMethods-0.100050-2.fc14

Comment 9 Fedora Update System 2011-08-30 15:58:58 UTC
perl-Sub-Exporter-ForMethods-0.100050-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Sub-Exporter-ForMethods-0.100050-2.fc16

Comment 10 Fedora Update System 2011-08-30 20:37:33 UTC
perl-Sub-Exporter-ForMethods-0.100050-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 11 Fedora Update System 2011-09-08 07:02:26 UTC
perl-Sub-Exporter-ForMethods-0.100050-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 12 Fedora Update System 2011-09-08 07:09:55 UTC
perl-Sub-Exporter-ForMethods-0.100050-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 13 Fedora Update System 2011-09-09 17:08:29 UTC
perl-Sub-Exporter-ForMethods-0.100050-2.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.